Subject: bug#38498: Fontconfig does not find fonts in non-default profiles

From: Ludovic Courtès <[email-masked]>
Date: Sat, 14 Dec 2019 15:08:03 +0100

Hello,

Pierre Neidhardt <[email-masked]> skribis:

> Just read this:
> https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/126
>
> Could we do the following: use a profile hook to generate a config file
> and set the environment variable FONTCONFIG_FILE to this file?

I guess that would work.

> (I feel that we can't do that because the path of the hook-generated
> cannot be known in advance.)

‘FONTCONFIG_FILE’ could be a search path of ‘fontconfig’ (the usual
way), but then we’d hit <https://issues.guix.gnu.org/issue/22138>,
meaning that it would not be set automatically.

Thoughts?

Ludo’.